window.jQuery = window.jQuery || {};

var losCheckApiKey = function () {

	var $checking = jQuery( '#hd-los-api-key-checking' ).hide(),
		$ok = jQuery( '#hd-los-api-key-ok' ).hide(),
		$nok = jQuery( '#hd-los-api-key-nok' ).hide(),
		$apiKey = jQuery( '#los_api_key' ),
		apiKey = $apiKey.val();

	function err() {

		$nok.show();

	}

	if ( apiKey ) {

		$checking.show();

		setTimeout(

			function() {

				jQuery.ajax({
					'complete': function() {

						$checking.hide();

					},
					'crossDomain': true,
					'data': {
						'apiKey': jQuery.trim( apiKey ),
						'referer': document.domain
					},
					'dataType': 'jsonp',
					'error': err,
					'success': function( e ) {

						if ( e[ 'statusId' ] && e.data ) {

							$ok.show();

						} else {

							err();

						}
					},
					'url': 'https://api.hockeydata.net/key/get'
				});

			}, 1000

		);

	}

};

var losWidgetFormGameFullReport = function ( widgetId ) {

    jQuery( '#hockeydata_los_widget_game_full_report_' + widgetId + '_additionalOptionsToggle' ).click(
        function() {
            jQuery( '#hockeydata_los_widget_game_full_report_' + widgetId + '_additionalOptions' ).fadeToggle();
            return false;
        }
    );

};

var losWidgetFormGameSlider = function ( widgetId ) {

	jQuery( '#hockeydata_los_widget_game_slider_' + widgetId + '_additionalOptionsToggle' ).click(
		function() {
			jQuery( '#hockeydata_los_widget_game_slider_' + widgetId + '_additionalOptions' ).fadeToggle();
			return false;
		}
	);

};

var losWidgetFormLeaders = function ( widgetId, sportId, typeId, showLegendFieldId ) {

	jQuery( '#' + sportId ).change(
		function() {
			var sport = jQuery( this ).val();

			jQuery( '.' + typeId ).hide();
			jQuery( '#' + typeId + '_' + sport ).show();
			jQuery( '#' + typeId ).val( jQuery( '#' + typeId + '_select_' + sport ).val() );
		}
	);

	jQuery( '.' + typeId + '_select' ).change(
		function() {
			jQuery( '#' + typeId ).val( jQuery( this ).val() );
		}
	);

	jQuery( '#hockeydata_los_widget_leaders_' + widgetId + '_additionalOptionsToggle' ).click(
		function() {
			jQuery( '#hockeydata_los_widget_leaders_' + widgetId + '_additionalOptions' ).fadeToggle();
			return false;
		}
	);

	jQuery( '#' + showLegendFieldId ).change(
		function() {
			jQuery( '#hockeydata_los_widget_leaders_' + widgetId + '_legendOptions' ).fadeToggle();
		}
	);

};

var losWidgetFormPlayerFullPage = function ( widgetId ) {

    jQuery( '#hockeydata_los_widget_player_full_page_' + widgetId + '_additionalOptionsToggle' ).click(
        function() {
            jQuery( '#hockeydata_los_widget_player_full_page_' + widgetId + '_additionalOptions' ).fadeToggle();
            return false;
        }
    );

};

var losWidgetFormSchedule = function ( widgetId, showLegendFieldId ) {

	jQuery( '#hockeydata_los_widget_schedule_' + widgetId + '_additionalOptionsToggle' ).click(
		function() {
			jQuery( '#hockeydata_los_widget_schedule_' + widgetId + '_additionalOptions' ).fadeToggle();
			return false;
		}
	);

	jQuery( '#' + showLegendFieldId ).change(
		function() {
			jQuery( '#hockeydata_los_widget_schedule_' + widgetId + '_legendOptions' ).fadeToggle();
		}
	);

};

var losWidgetFormStandings = function ( widgetId, showLegendFieldId, showOfficialStatusTextFieldId ) {

	jQuery( '#hockeydata_los_widget_standings_' + widgetId + '_additionalOptionsToggle' ).click(
		function() {
			jQuery( '#hockeydata_los_widget_standings_' + widgetId + '_additionalOptions' ).fadeToggle();
			return false;
		}
	);

	jQuery( '#' + showLegendFieldId ).change(
		function() {
			jQuery( '#hockeydata_los_widget_standings_' + widgetId + '_legendOptions' ).fadeToggle();
		}
	);

	jQuery( '#' + showOfficialStatusTextFieldId ).change(
		function() {
			jQuery( '#hockeydata_los_widget_standings_' + widgetId + '_officialStatusTextOptions' ).fadeToggle();
		}
	);

};

var losWidgetFormTeamFullPage = function ( widgetId ) {

    jQuery( '#hockeydata_los_widget_team_full_page_' + widgetId + '_additionalOptionsToggle' ).click(
        function() {
            jQuery( '#hockeydata_los_widget_team_full_page_' + widgetId + '_additionalOptions' ).fadeToggle();
            return false;
        }
    );

};

var losWidgetFormTeamStats = function ( widgetId, sportId, typeId, showLegendFieldId ) {

	jQuery( '#' + sportId ).change(
		function() {
			var sport = jQuery( this ).val();

			jQuery( '.' + typeId ).hide();
			jQuery( '#' + typeId + '_' + sport ).show();
			jQuery( '#' + typeId ).val( jQuery( '#' + typeId + '_select_' + sport ).val() );
		}
	);

	jQuery( '.' + typeId + '_select' ).change(
		function() {
			jQuery( '#' + typeId ).val( jQuery( this ).val() );
		}
	);

	jQuery( '#hockeydata_los_widget_team_stats_' + widgetId + '_additionalOptionsToggle' ).click(
		function() {
			jQuery( '#hockeydata_los_widget_team_stats_' + widgetId + '_additionalOptions' ).fadeToggle();
			return false;
		}
	);

	jQuery( '#' + showLegendFieldId ).change(
		function() {
			jQuery( '#hockeydata_los_widget_team_stats_' + widgetId + '_legendOptions' ).fadeToggle();
		}
	);

};

var losInitAdminSettings = function () {

	jQuery( '.los-color-picker' ).wpColorPicker();

};